%global pkgname jenkinsapi

Name:           python-jenkinsapi
Version:        0.2.19
Release:        2%{?dist}
Summary:        A Python API for accessing resources on a Jenkins(CI) server

License:        MIT
URL:            https://github.com/salimfadhley/%{pkgname}

Source0:        https://pypi.python.org/packages/source/j/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-requests
BuildRequires:  pytz
Requires:       pytz


%description
This library can help you:

 * Query the test-results of a completed build
 * Get a objects representing the latest builds of a job
 * Search for artefacts by simple criteria
 * Block until jobs are complete
 * Install artefacts to custom-specified directory structures
 * username/password auth support for jenkins instances with auth turned on
 * Ability to search for builds by subversion revision
 * Ability to add/remove/query Jenkins slaves
 * Ability to add/remove/modify Jenkins views


%prep
%setup -q -n %{pkgname}-%{version}


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc PKG-INFO
%{_bindir}/jenkins_invoke
%{python_sitelib}/%{pkgname}/*
%{python_sitelib}/*.egg-info/*
%{python_sitelib}/%{pkgname}_tests/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 13 2014 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.2.19-1
- Update to latest source

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 06 2014 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.2.18-2
- Added pytz to Requires section

* Mon Mar 03 2014 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.2.18-1
- New Release

* Sat Oct 19 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.16-1
- New Release

* Fri Sep 20 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.13-1
- Initial RPM release
